### Method

# Aravis Buffer get_image_padding

since: 0.8.23

#### Declaration [src]

    void
    arv_buffer_get_image_padding (
      ArvBuffer* buffer,
      gint* x_padding,
      gint* y_padding
    )

#### Description [src]

Gets the image padding.

This function must only be called if buffer payload is either `ARV_BUFFER_PAYLOAD_TYPE_IMAGE`, `ARV_BUFFER_PAYLOAD_TYPE_EXTENDED_CHUNK_DATA` or `ARV_BUFFER_PAYLOAD_TYPE_MULTIPART`.

Available since: 0.8.23

#### Parameters

`x_padding`

  Type: `gint*`

  Image x offset placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.

`y_padding`

  Type: `gint*`

  Image y offset placeholder.

  The argument will be set by the function.
  The argument can be `NULL`.